Description

The AJAX repository browser is sweet and fast, but the counterpart is that URL is meaningless in this view, in other words Joe can

not browse the repository to a directory, take the URL in the browser, and send it by email to Alex saying "In this directory you will

find some templates".

There is a way to trick it, which is to right-click a directory then open it in an other webbrowser window/tab. As a exemple, see below :

 http://www.redmine.org/repositories/browse/redmine/trunk/extra/sample_plugin

This link points to a view of the directory that meets browsing requirements well. What is missing in my POV is a simple way to get

this link. I propose to add a column, optional if possible, to the repository browser, providing "RESTful links" to each entry, including

directories, like the one shown above.

Associated revisions

Revision 1544 - 2008-06-15 13:40 - Jean-Philippe Lang

Adds links to repository directories in the browser (#1094).

History

#1 - 2008-04-24 16:10 - Vijay Kiran

Instead of taking the URL in a browser, you can just right click on the folder in the repository view and then "copy link location" and email it. Even if

the links are provided as another column you may need to copy them in someway.

I think a better solution would be to provide a pop-up menu for the name of the file/dir with other options(view/annotate) should be good too.

#2 - 2008-04-24 16:29 - Sepp _

Isn't this a duplicate of #1038?

#3 - 2008-04-24 16:29 - Paul Rivier

vijay g

Hello. I know I can right-click on the link. The point is that Web interfaces should be usable with left click only. Right clicking is using web-browser

built-in facilities, therefore it is working around a limited web interface.

I still consider this link is missing, but I also consider this task as low priority.

#4 - 2008-05-17 10:33 - Anonymous

Trac-0.11 deals with this well in that it has an arrow by each folder which is used to expand/collapse it in-place, but clicking on the folder name

displays just that folder in the window (and therefore updates the URL in the address bar).  Have a look at http://trac.edgewall.org/browser

This is more usable than the current Redmine implementation and it would be good if similar behaviour could be added.

Cheers

Russell

#5 - 2008-05-20 14:58 - Pierre Paysant-Le Roux

- File foldernav.tar.bz2 added

Here is a patch that makes the repository navigator acts as Trac.

Instructions : apply the patch located in the archive and places the four images in the public/images folder.

#6 - 2008-05-20 15:42 - Paul Rivier
http://www.redmine.org/repositories/browse/redmine/trunk/extra/sample_plugin
https://www.redmine.org/issues/1038
https://www.redmine.org/users/50206
http://trac.edgewall.org/browser


- % Done changed from 0 to 90

Ok, thanks, patch looks good. Can anybody apply, please ?

#7 - 2008-06-09 13:29 - Paul Rivier

- Assignee set to Jean-Philippe Lang

Hi,

does anybody have some comments about the patch Pierre provided ? It has been used in production for two weeks now here, and constitutes a

simple yet clear improvement in the usability of the repository browser. I think it could be applied safely against trunk and current stable branch.

Please comment, thanks

#8 - 2008-06-15 13:38 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version changed from 0.8 to 0.7.2

- % Done changed from 90 to 100

- Resolution set to Fixed

Patch committed in r1544 with sligth changes:

smaller icons

files and directory aligned

Thanks

Files

foldernav.tar.bz2 2.21 KB 2008-05-20 Pierre Paysant-Le Roux
